# Generated by Django 4.2.3 on 2024-03-19 15:51

from django.db import migrations, models
import django.db.models.deletion
import simplepro.editor.fields
import simplepro.lib.pkHelper


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('django_celery_results', '0011_taskresult_periodic_task_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='CustomTaskResult',
            fields=[
                ('taskresult_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_celery_results.taskresult')),
                ('total', models.IntegerField(blank=True, default=0, null=True, verbose_name='总量')),
                ('processed', models.IntegerField(blank=True, default=0, null=True, verbose_name='已处理')),
                ('extra_process_info', models.TextField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Custom Task Result',
                'verbose_name_plural': 'Custom Task Result',
            },
            bases=('django_celery_results.taskresult',),
        ),
        migrations.CreateModel(
            name='RegisteredTask',
            fields=[
                ('createdAt', models.DateTimeField(auto_created=True, auto_now_add=True, db_index=True, null=True, verbose_name='创建时间')),
                ('id', models.CharField(default=simplepro.lib.pkHelper.uuid_generator, editable=False, max_length=48, primary_key=True, serialize=False)),
                ('updatedAt', models.DateTimeField(auto_now=True, db_index=True, null=True, verbose_name='最近更新时间')),
                ('deletedAt', models.DateTimeField(db_index=True, editable=False, null=True, verbose_name='被删除时间')),
                ('remark', models.CharField(blank=True, db_index=True, max_length=100, null=True, verbose_name='小备注/标签')),
                ('info', simplepro.editor.fields.UETextField(blank=True, null=True, verbose_name='说明')),
                ('name', models.CharField(max_length=200, null=True, unique=True)),
                ('doc', models.TextField(null=True)),
                ('params', models.TextField(null=True)),
                ('registeredAt', models.DateTimeField(null=True)),
            ],
            options={
                'verbose_name': 'Registered Task',
                'verbose_name_plural': 'Registered Task',
            },
        ),
        migrations.CreateModel(
            name='TasksChain',
            fields=[
                ('createdAt', models.DateTimeField(auto_created=True, auto_now_add=True, db_index=True, null=True, verbose_name='创建时间')),
                ('id', models.CharField(default=simplepro.lib.pkHelper.uuid_generator, editable=False, max_length=48, primary_key=True, serialize=False)),
                ('updatedAt', models.DateTimeField(auto_now=True, db_index=True, null=True, verbose_name='最近更新时间')),
                ('deletedAt', models.DateTimeField(db_index=True, editable=False, null=True, verbose_name='被删除时间')),
                ('remark', models.CharField(blank=True, db_index=True, max_length=100, null=True, verbose_name='小备注/标签')),
                ('info', simplepro.editor.fields.UETextField(blank=True, null=True, verbose_name='说明')),
                ('name', models.CharField(help_text='Short Description For This Task', max_length=200, unique=True, verbose_name='Name')),
                ('tasks', models.TextField(null=True, unique=True)),
            ],
            options={
                'verbose_name': 'Tasks Chain',
                'verbose_name_plural': 'Tasks Chain',
            },
        ),
        migrations.CreateModel(
            name='TaskState',
            fields=[
                ('createdAt', models.DateTimeField(auto_created=True, auto_now_add=True, db_index=True, null=True, verbose_name='创建时间')),
                ('id', models.CharField(default=simplepro.lib.pkHelper.uuid_generator, editable=False, max_length=48, primary_key=True, serialize=False)),
                ('updatedAt', models.DateTimeField(auto_now=True, db_index=True, null=True, verbose_name='最近更新时间')),
                ('deletedAt', models.DateTimeField(db_index=True, editable=False, null=True, verbose_name='被删除时间')),
                ('remark', models.CharField(blank=True, db_index=True, max_length=100, null=True, verbose_name='小备注/标签')),
                ('info', simplepro.editor.fields.UETextField(blank=True, null=True, verbose_name='说明')),
                ('task_id', models.CharField(blank=True, db_index=True, help_text='Celery ID for the Task that was run', max_length=255, null=True, verbose_name='Task ID')),
                ('total', models.IntegerField(blank=True, db_index=True, default=0, null=True, verbose_name='总量')),
                ('processed', models.IntegerField(blank=True, db_index=True, default=0, null=True, verbose_name='已处理')),
                ('extra_process_info', models.TextField(blank=True, null=True)),
                ('traceback', models.TextField(blank=True, help_text='Text of the traceback if the task generated one', null=True, verbose_name='Traceback')),
            ],
            options={
                'verbose_name': 'Task State',
                'verbose_name_plural': 'Task State',
            },
        ),
    ]
